Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.atna.audit.codes
Class AuditActiveParticipantRoleID.SourceMedia

    java.lang.Object
      org.eclipse.ohf.ihe.atna.audit.element.CodedValueType
          org.eclipse.ohf.ihe.atna.audit.codes.AuditActiveParticipantRoleID
              org.eclipse.ohf.ihe.atna.audit.codes.AuditActiveParticipantRoleID.SourceMedia

Enclosing class:
  AuditActiveParticipantRoleID

    public static class AuditActiveParticipantRoleID.SourceMedia

extends AuditActiveParticipantRoleID

"DCM","110155", "Source Media"

Since:
  OHF 1.0.0

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.ohf.ihe.atna.audit.codes.AuditActiveParticipantRoleID
`AuditActiveParticipantRoleID.Application, AuditActiveParticipantRoleID.ApplicationLauncher, AuditActiveParticipantRoleID.Destination, AuditActiveParticipantRoleID.DestinationMedia, AuditActiveParticipantRoleID.Source, AuditActiveParticipantRoleID.SourceMedia`

Field Summary

Fields inherited from class org.eclipse.ohf.ihe.atna.audit.element.CodedValueType
`DB_Coded_Value_Type`

Constructor Summary
`AuditActiveParticipantRoleID.SourceMedia()` "DCM",

Method Summary

Methods inherited from class org.eclipse.ohf.ihe.atna.audit.element.CodedValueType
`getCode, getCodeSystem, getCodeSystemName, getDisplayName, getOriginalText, isValidElement, parse, setCode, setCodeSystem, setCodeSystemName, setDisplayName, setOriginalText`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuditActiveParticipantRoleID.SourceMedia

    public AuditActiveParticipantRoleID.SourceMedia()

  "DCM",

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD